<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class ExpiredAtTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('expired_at')
            ->translateLabel()
            ->sortable()
            ->toggleable()
            ->jalaliDateTime()
            ->toggledHiddenByDefault();
    }
}
